로그 서비스 인터페이스

### Hierarchy

- ILogerService

### Implemented by

- ApiService
- CommonService
- SharedService

## Index

### Methods

- changePage
- consoleLog
- setLogger

## Methods

### Optional changePage

- changePage(location: string): void

- - Defined in src/services/common.interface.ts:89

  Changes page

  #### Parameters

  - ##### location: string

  #### Returns void

### consoleLog

- consoleLog(type: ConsoleLogType, title: string, ...obj: any[]): void

- - Defined in src/services/common.interface.ts:82

  Consoles log

  #### Parameters

  - ##### type: ConsoleLogType

  - ##### title: string

  - ##### Rest ...obj: any[]

  #### Returns void

### setLogger

- setLogger(logger: ILogerService): void

- - Defined in src/services/common.interface.ts:73

  Sets logger

  #### Parameters

  - ##### logger: ILogerService

  #### Returns void

Generated using TypeDoc